textproc/py-dominate - The NetBSD Packages Collection

Python library for creating and manipulating HTML documents

Dominate is a Python library for creating and manipulating HTML documents using
an elegant DOM API. It allows you to write HTML pages in pure Python very
concisely, which eliminates the need to learn another template language, and
lets you take advantage of the more powerful features of Python.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/py-setuptools lang/python38 lang/python38

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpy27-dominate-2.5.1.tgz
NetBSD 8.0earmv7hfpy36-dominate-2.5.1.tgz
NetBSD 8.0earmv7hfpy37-dominate-2.5.1.tgz
NetBSD 8.0earmv7hfpy38-dominate-2.5.1.tgz
NetBSD 8.0earmv7hfpy39-dominate-2.5.1.tgz
NetBSD 8.0earmv7hfpy37-dominate-2.5.1.tgz
NetBSD 8.0earmv7hfpy27-dominate-2.6.0.tgz
NetBSD 8.0earmv7hfpy36-dominate-2.6.0.tgz
NetBSD 8.0earmv7hfpy37-dominate-2.6.0.tgz
NetBSD 8.0earmv7hfpy38-dominate-2.6.0.tgz
NetBSD 8.0earmv7hfpy39-dominate-2.6.0.tgz
NetBSD 8.0i386py27-dominate-2.5.1.tgz
NetBSD 8.0i386py36-dominate-2.5.1.tgz
NetBSD 8.0i386py37-dominate-2.5.1.tgz
NetBSD 8.0i386py38-dominate-2.5.1.tgz
NetBSD 8.0i386py27-dominate-2.5.1.tgz
NetBSD 8.0i386py36-dominate-2.5.1.tgz
NetBSD 8.0i386py37-dominate-2.5.1.tgz
NetBSD 8.0i386py38-dominate-2.5.1.tgz
NetBSD 8.0i386py39-dominate-2.5.1.tgz
NetBSD 8.0powerpcpy27-dominate-2.5.1.tgz
NetBSD 8.0powerpcpy36-dominate-2.5.1.tgz
NetBSD 8.0powerpcpy37-dominate-2.5.1.tgz
NetBSD 8.0powerpcpy38-dominate-2.5.1.tgz
NetBSD 8.0powerpcpy27-dominate-2.5.1.tgz
NetBSD 8.0powerpcpy36-dominate-2.5.1.tgz
NetBSD 8.0powerpcpy37-dominate-2.5.1.tgz
NetBSD 8.0powerpcpy38-dominate-2.5.1.tgz
NetBSD 8.0powerpcpy39-dominate-2.5.1.tgz
NetBSD 8.0powerpcpy27-dominate-2.5.1.tgz
NetBSD 8.0powerpcpy36-dominate-2.5.1.tgz
NetBSD 8.0powerpcpy37-dominate-2.5.1.tgz
NetBSD 8.0powerpcpy38-dominate-2.5.1.tgz
NetBSD 8.0powerpcpy39-dominate-2.5.1.tgz
NetBSD 8.0x86_64py27-dominate-2.5.1.tgz
NetBSD 8.0x86_64py36-dominate-2.5.1.tgz
NetBSD 8.0x86_64py37-dominate-2.5.1.tgz
NetBSD 8.0x86_64py38-dominate-2.5.1.tgz
NetBSD 8.0x86_64py27-dominate-2.5.1.tgz
NetBSD 8.0x86_64py36-dominate-2.5.1.tgz
NetBSD 8.0x86_64py37-dominate-2.5.1.tgz
NetBSD 8.0x86_64py38-dominate-2.5.1.tgz
NetBSD 8.0x86_64py39-dominate-2.5.1.tgz
NetBSD 9.0aarch64py27-dominate-2.6.0.tgz
NetBSD 9.0aarch64py36-dominate-2.6.0.tgz
NetBSD 9.0aarch64py37-dominate-2.6.0.tgz
NetBSD 9.0aarch64py38-dominate-2.6.0.tgz
NetBSD 9.0aarch64py39-dominate-2.6.0.tgz
NetBSD 9.0aarch64py27-dominate-2.5.1.tgz
NetBSD 9.0aarch64py36-dominate-2.5.1.tgz
NetBSD 9.0aarch64py37-dominate-2.5.1.tgz
NetBSD 9.0aarch64py38-dominate-2.5.1.tgz
NetBSD 9.0aarch64py27-dominate-2.5.1.tgz
NetBSD 9.0aarch64py36-dominate-2.5.1.tgz
NetBSD 9.0aarch64py37-dominate-2.5.1.tgz
NetBSD 9.0aarch64py38-dominate-2.5.1.tgz
NetBSD 9.0aarch64py39-dominate-2.5.1.tgz
NetBSD 9.0alphapy27-dominate-2.5.1.tgz
NetBSD 9.0alphapy36-dominate-2.5.1.tgz
NetBSD 9.0alphapy37-dominate-2.5.1.tgz
NetBSD 9.0alphapy38-dominate-2.5.1.tgz
NetBSD 9.0alphapy27-dominate-2.5.1.tgz
NetBSD 9.0alphapy36-dominate-2.5.1.tgz
NetBSD 9.0alphapy37-dominate-2.5.1.tgz
NetBSD 9.0alphapy38-dominate-2.5.1.tgz
NetBSD 9.0alphapy39-dominate-2.5.1.tgz
NetBSD 9.0earmpy27-dominate-2.5.1.tgz
NetBSD 9.0earmpy36-dominate-2.5.1.tgz
NetBSD 9.0earmpy37-dominate-2.5.1.tgz
NetBSD 9.0earmpy38-dominate-2.5.1.tgz
NetBSD 9.0earmpy38-dominate-2.5.1.tgz
NetBSD 9.0earmv6hfpy27-dominate-2.6.0.tgz
NetBSD 9.0earmv6hfpy36-dominate-2.6.0.tgz
NetBSD 9.0earmv6hfpy37-dominate-2.6.0.tgz
NetBSD 9.0earmv6hfpy38-dominate-2.6.0.tgz
NetBSD 9.0earmv6hfpy39-dominate-2.6.0.tgz
NetBSD 9.0earmv6hfpy27-dominate-2.5.1.tgz
NetBSD 9.0earmv6hfpy36-dominate-2.5.1.tgz
NetBSD 9.0earmv6hfpy37-dominate-2.5.1.tgz
NetBSD 9.0earmv6hfpy38-dominate-2.5.1.tgz
NetBSD 9.0earmv6hfpy27-dominate-2.5.1.tgz
NetBSD 9.0earmv6hfpy36-dominate-2.5.1.tgz
NetBSD 9.0earmv6hfpy37-dominate-2.5.1.tgz
NetBSD 9.0earmv6hfpy38-dominate-2.5.1.tgz
NetBSD 9.0earmv6hfpy39-dominate-2.5.1.tgz
NetBSD 9.0earmv6hfpy27-dominate-2.5.1.tgz
NetBSD 9.0earmv6hfpy36-dominate-2.5.1.tgz
NetBSD 9.0earmv6hfpy37-dominate-2.5.1.tgz
NetBSD 9.0earmv6hfpy38-dominate-2.5.1.tgz
NetBSD 9.0earmv6hfpy39-dominate-2.5.1.tgz
NetBSD 9.0earmv7hfpy27-dominate-2.6.0.tgz
NetBSD 9.0earmv7hfpy36-dominate-2.6.0.tgz
NetBSD 9.0earmv7hfpy37-dominate-2.6.0.tgz
NetBSD 9.0earmv7hfpy38-dominate-2.6.0.tgz
NetBSD 9.0earmv7hfpy39-dominate-2.6.0.tgz
NetBSD 9.0earmv7hfpy27-dominate-2.5.1.tgz
NetBSD 9.0earmv7hfpy36-dominate-2.5.1.tgz
NetBSD 9.0earmv7hfpy37-dominate-2.5.1.tgz
NetBSD 9.0earmv7hfpy38-dominate-2.5.1.tgz
NetBSD 9.0earmv7hfpy27-dominate-2.5.1.tgz
NetBSD 9.0earmv7hfpy36-dominate-2.5.1.tgz
NetBSD 9.0earmv7hfpy37-dominate-2.5.1.tgz
NetBSD 9.0earmv7hfpy38-dominate-2.5.1.tgz
NetBSD 9.0earmv7hfpy39-dominate-2.5.1.tgz
NetBSD 9.0earmv7hfpy27-dominate-2.5.1.tgz
NetBSD 9.0earmv7hfpy36-dominate-2.5.1.tgz
NetBSD 9.0earmv7hfpy37-dominate-2.5.1.tgz
NetBSD 9.0earmv7hfpy38-dominate-2.5.1.tgz
NetBSD 9.0earmv7hfpy39-dominate-2.5.1.tgz
NetBSD 9.0i386py27-dominate-2.5.1.tgz
NetBSD 9.0i386py36-dominate-2.5.1.tgz
NetBSD 9.0i386py37-dominate-2.5.1.tgz
NetBSD 9.0i386py38-dominate-2.5.1.tgz
NetBSD 9.0i386py27-dominate-2.5.1.tgz
NetBSD 9.0i386py36-dominate-2.5.1.tgz
NetBSD 9.0i386py37-dominate-2.5.1.tgz
NetBSD 9.0i386py38-dominate-2.5.1.tgz
NetBSD 9.0i386py39-dominate-2.5.1.tgz
NetBSD 9.0mips64ebpy27-dominate-2.5.1.tgz
NetBSD 9.0mips64ebpy36-dominate-2.5.1.tgz
NetBSD 9.0mips64ebpy37-dominate-2.5.1.tgz
NetBSD 9.0mips64ebpy38-dominate-2.5.1.tgz
NetBSD 9.0mips64ebpy27-dominate-2.5.1.tgz
NetBSD 9.0mips64ebpy36-dominate-2.5.1.tgz
NetBSD 9.0mips64ebpy37-dominate-2.5.1.tgz
NetBSD 9.0mips64ebpy38-dominate-2.5.1.tgz
NetBSD 9.0mips64ebpy39-dominate-2.5.1.tgz
NetBSD 9.0powerpcpy27-dominate-2.5.1.tgz
NetBSD 9.0powerpcpy36-dominate-2.5.1.tgz
NetBSD 9.0powerpcpy37-dominate-2.5.1.tgz
NetBSD 9.0powerpcpy38-dominate-2.5.1.tgz
NetBSD 9.0powerpcpy39-dominate-2.5.1.tgz
NetBSD 9.0powerpcpy27-dominate-2.5.1.tgz
NetBSD 9.0powerpcpy36-dominate-2.5.1.tgz
NetBSD 9.0powerpcpy37-dominate-2.5.1.tgz
NetBSD 9.0powerpcpy38-dominate-2.5.1.tgz
NetBSD 9.0sparc64py27-dominate-2.5.1.tgz
NetBSD 9.0sparc64py36-dominate-2.5.1.tgz
NetBSD 9.0sparc64py37-dominate-2.5.1.tgz
NetBSD 9.0sparc64py38-dominate-2.5.1.tgz
NetBSD 9.0sparc64py27-dominate-2.5.1.tgz
NetBSD 9.0sparc64py36-dominate-2.5.1.tgz
NetBSD 9.0sparc64py37-dominate-2.5.1.tgz
NetBSD 9.0sparc64py38-dominate-2.5.1.tgz
NetBSD 9.0sparc64py27-dominate-2.5.1.tgz
NetBSD 9.0sparc64py36-dominate-2.5.1.tgz
NetBSD 9.0sparc64py37-dominate-2.5.1.tgz
NetBSD 9.0sparc64py38-dominate-2.5.1.tgz
NetBSD 9.0sparc64py39-dominate-2.5.1.tgz
NetBSD 9.0sparcpy27-dominate-2.5.1.tgz
NetBSD 9.0sparcpy36-dominate-2.5.1.tgz
NetBSD 9.0sparcpy37-dominate-2.5.1.tgz
NetBSD 9.0sparcpy38-dominate-2.5.1.tgz
NetBSD 9.0sparcpy27-dominate-2.5.1.tgz
NetBSD 9.0sparcpy36-dominate-2.5.1.tgz
NetBSD 9.0sparcpy37-dominate-2.5.1.tgz
NetBSD 9.0sparcpy38-dominate-2.5.1.tgz
NetBSD 9.0sparcpy39-dominate-2.5.1.tgz
NetBSD 9.0x86_64py27-dominate-2.5.1.tgz
NetBSD 9.0x86_64py36-dominate-2.5.1.tgz
NetBSD 9.0x86_64py37-dominate-2.5.1.tgz
NetBSD 9.0x86_64py38-dominate-2.5.1.tgz
NetBSD 9.0x86_64py39-dominate-2.5.1.tgz
NetBSD 9.0x86_64py27-dominate-2.5.1.tgz
NetBSD 9.0x86_64py36-dominate-2.5.1.tgz
NetBSD 9.0x86_64py37-dominate-2.5.1.tgz
NetBSD 9.0x86_64py38-dominate-2.5.1.tgz
NetBSD 9.0x86_64py39-dominate-2.5.1.tgz
NetBSD 9.0x86_64py27-dominate-2.5.1.tgz
NetBSD 9.0x86_64py36-dominate-2.5.1.tgz
NetBSD 9.0x86_64py37-dominate-2.5.1.tgz
NetBSD 9.0x86_64py38-dominate-2.5.1.tgz
NetBSD 9.0x86_64py39-dominate-2.5.1.tgz
NetBSD 9.0x86_64py27-dominate-2.5.1.tgz
NetBSD 9.0x86_64py36-dominate-2.5.1.tgz
NetBSD 9.0x86_64py37-dominate-2.5.1.tgz
NetBSD 9.0x86_64py38-dominate-2.5.1.tgz
NetBSD 9.0x86_64py27-dominate-2.5.1.tgz
NetBSD 9.0x86_64py36-dominate-2.5.1.tgz
NetBSD 9.0x86_64py37-dominate-2.5.1.tgz
NetBSD 9.0x86_64py38-dominate-2.5.1.tgz
NetBSD 9.0x86_64py39-dominate-2.5.1.tgz
NetBSD 9.0x86_64py27-dominate-2.6.0.tgz
NetBSD 9.0x86_64py36-dominate-2.6.0.tgz
NetBSD 9.0x86_64py37-dominate-2.6.0.tgz
NetBSD 9.0x86_64py38-dominate-2.6.0.tgz
NetBSD 9.0x86_64py39-dominate-2.6.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.